//     Underscore.js 1.13.2
//     https://underscorejs.org
//     (c) 2009-2021 Jeremy Ashkenas, Julian Gonggrijp, and DocumentCloud and Investigative Reporters & Editors
//     Underscore may be freely distributed under the MIT license.

import { a, b } from './underscore-node-f.cjs';
export { c as VERSION, ak as after, aB as all, F as allKeys, aC as any, L as assign, al as before, aa as bind, ab as bindAll, a7 as chain, b7 as chunk, O as clone, aw as collect, aY as compact, aj as compose, U as constant, aD as contains, aO as countBy, N as create, ag as debounce, M as defaults, ae as defer, ad as delay, at as detect, b2 as difference, aX as drop, av as each, a1 as escape, aB as every, K as extend, L as extendOwn, az as filter, at as find, ao as findIndex, an as findKey, ap as findLastIndex, au as findWhere, aU as first, aZ as flatten, ax as foldl, ay as foldr, av as forEach, J as functions, Q as get, aM as groupBy, R as has, aU as head, T as identity, aD as include, aD as includes, aN as indexBy, ar as indexOf, aV as initial, ax as inject, b1 as intersection, I as invert, aE as invoke, t as isArguments, r as isArray, p as isArrayBuffer, h as isBoolean, q as isDataView, l as isDate, i as isElement, x as isEmpty, z as isEqual, n as isError, u as isFinite, s as isFunction, A as isMap, y as isMatch, v as isNaN, f as isNull, k as isNumber, e as isObject, m as isRegExp, C as isSet, j as isString, o as isSymbol, w as isTypedArray, g as isUndefined, B as isWeakMap, D as isWeakSet, a8 as iteratee, E as keys, aW as last, as as lastIndexOf, aw as map, S as mapObject, Z as matcher, Z as matches, aH as max, ac as memoize, J as methods, aI as min, a as mixin, ai as negate, V as noop, a0 as now, b5 as object, aT as omit, am as once, H as pairs, a9 as partial, aP as partition, aS as pick, aF as pluck, X as property, Y as propertyOf, $ as random, b6 as range, ax as reduce, ay as reduceRight, aA as reject, aX as rest, d as restArguments, a5 as result, aK as sample, az as select, aJ as shuffle, aR as size, aC as some, aL as sortBy, aq as sortedIndex, aX as tail, aU as take, P as tap, a4 as template, a3 as templateSettings, af as throttle, _ as times, aQ as toArray, W as toPath, b3 as transpose, a2 as unescape, b0 as union, a$ as uniq, a$ as unique, a6 as uniqueId, b3 as unzip, G as values, aG as where, a_ as without, ah as wrap, b4 as zip } from './underscore-node-f.cjs';

// Default Export

// Add all of the Underscore functions to the wrapper object.
var _ = a(b);
// Legacy Node.js API.
_._ = _;

// ESM Exports

export default _;
//# sourceMappingURL=underscore-node.mjs.map
